Static deposits
Get exchange rate for static deposit method and account
Use this method to receive exchange rate for static deposit operation
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
methodId*integer
The identifier of a static deposit method.
accountId*integer
The identifier of a destination account.
currencyCode*integer
Operation currency code.
Header Parameters
accept-language?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/my/static-deposit/exchange-rate?methodId=1&accountId=1¤cyCode=2005" \ -H "accept-language: ja"{ "rate": "1.20", "baseCurrency": { "code": 2005, "alpha": "BTC" }, "quoteCurrency": { "code": 840, "alpha": "USD" }}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "errors": [ { "name": "Error name", "description": "Description", "args": {} } ]}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}